import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../utils';
import { borderRadiusSizes } from '../../constants';

export const styles = StyleSheet.create({
  checkbox: {
    borderWidth: 2,
    borderColor: getThemeColorByDefaultColor('text', 'dark'),
    height: 24,
    width: 24,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: borderRadiusSizes.small,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  checkboxSelected: {
    borderWidth: 2,
    borderColor: getThemeColorByDefaultColor('text', 'light'),
    backgroundColor: getThemeColorByDefaultColor('primary', 'default'),
  },
  checkboxDisabled: {
    opacity: 0.5,
  },
});
